Bug 251345 - devel/vulkan-*: update to 1.2.154
Summary: devel/vulkan-*: update to 1.2.154
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on: 242775
Blocks: 251698
  Show dependency treegraph
 
Reported: 2020-11-24 14:59 UTC by Jan Beich
Modified: 2020-12-09 07:56 UTC (History)
2 users (show)

See Also:
greg: maintainer-feedback+


Attachments
v0 (headers, loader, tools) (11.57 KB, patch)
2020-11-24 14:59 UTC, Jan Beich
no flags Details | Diff
vulkan validations layers + spirv-tools v0 (3.73 KB, patch)
2020-11-25 18:17 UTC, Austin Shafer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-11-24 14:59:17 UTC
Created attachment 219926 [details]
v0 (headers, loader, tools)

Let's update to a recent SDK to avoid blocking modern consumers.
Comment 1 Greg V 2020-11-24 22:25:59 UTC
LGTM

(For the future: We don't have to follow 'sdk' versions, they have 'v' tags now and e.g. Arch Linux currently packages 1.2.160.)
Comment 2 Austin Shafer 2020-11-25 18:17:21 UTC
Created attachment 219973 [details]
vulkan validations layers + spirv-tools v0

The validation layers also should be updated, which requires updating spirv-tools as well. I had to use spirv-headers 1.5.3.reservations1 for both, due to some weirdness in the version dependencies.

Tested all the vulkan headers/loader/validation layers on intel and everything seems to be fine. Updating the validation layers fixes a problem I had with vk display surfaces.
Comment 3 commit-hook freebsd_committer 2020-11-26 00:31:15 UTC
A commit references this bug:

Author: jbeich
Date: Thu Nov 26 00:30:18 UTC 2020
New revision: 556311
URL: https://svnweb.freebsd.org/changeset/ports/556311

Log:
  devel/vulkan-*: update to 1.2.154

  Changes:	https://github.com/KhronosGroup/Vulkan-Headers/compare/sdk-1.2.135.0...sdk-1.2.154.0
  Changes:	https://github.com/KhronosGroup/Vulkan-Loader/compare/sdk-1.2.135.0...sdk-1.2.154.1
  Changes:	https://github.com/KhronosGroup/Vulkan-Tools/compare/sdk-1.2.135.0...sdk-1.2.154.0
  Changes:	https://github.com/KhronosGroup/Vulkan-ValidationLayers/compare/sdk-1.2.135.0...sdk-1.2.154.0
  Changes:	https://github.com/KhronosGroup/SPIRV-Tools/compare/v2020.2...v2020.4
  PR:		251345
  Approved by:	Greg V <greg@unrelenting.technology> (maintainer, earlier version)
  Submitted by:	Austin Shafer <ashafer@badland.io> (spirv-tools, vulkan-validation-layers)

Changes:
  head/devel/spirv-tools/Makefile
  head/devel/spirv-tools/distinfo
  head/devel/vulkan-headers/Makefile
  head/devel/vulkan-headers/distinfo
  head/devel/vulkan-headers/files/patch-include_vulkan_vulkan.hpp
  head/devel/vulkan-headers/pkg-plist
  head/devel/vulkan-tools/Makefile
  head/devel/vulkan-tools/distinfo
  head/devel/vulkan-tools/pkg-plist
  head/devel/vulkan-validation-layers/Makefile
  head/devel/vulkan-validation-layers/distinfo
  head/games/vkquake/Makefile
  head/games/vkquake/distinfo
  head/graphics/vulkan-loader/Makefile
  head/graphics/vulkan-loader/distinfo
  head/graphics/vulkan-loader/files/patch-loader_vk__loader__platform.h
  head/graphics/vulkan-loader/pkg-plist
  head/multimedia/gstreamer1-plugins-bad/files/patch-git_dc57fb70